### Configuration powerline

1. Installation de [powerline](https://powerline.readthedocs.io/en/master/) via pip, mais ne pas installer la version dispo sur pypi, trop vieille, plutôt faire : `pip install git+https://github.com/powerline/powerline.git@develop`)
2. Ajout dans .bashrc :

    ```
    if [ -f `which powerline-daemon` ]; then
  	powerline-daemon -q
  	POWERLINE_BASH_CONTINUATION=1
  	POWERLINE_BASH_SELECT=1
	. ~/.local/lib/python3.9/site-packages/powerline/bindings/bash/powerline.sh
    fi
    ```
3. Cloner ce dépôt dans ~/.config/,

    ```
    cd ~/.config/\
    git clone https://git.thomasbriffard.com/Briffou/powerline.git
    ```
4. (facultatif) pour masquer l'utilisateur courant, modifier l'option "hide_user" de

    ```
    ~/.config/powerline/themes/shell/default.json
    ```
5. installer l'outil [powerline-gitstatus](https://github.com/jaspernbrouwer/powerline-gitstatus) via pip

!!!! COMMANDE UTILE pour actualiser la ligne de commande une fois le dépôt cloné (et après modifications aux fichiers de configuration): 
```
powerline-daemon --replace
```
